opencv: cv::WImage< T > Class Template Reference

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# cv::WImage< T > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImage< T >:

List of all members.

## Public Types
typedef T | BaseType
## Public Member Functions
int | Channels () const
int | ChannelSize () const
void | CopyFrom (const WImage< T > &src)
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
template<>
int | Depth () const
int | Height () const
const T * | ImageData () const
T * | ImageData ()
IplImage * | Ipl ()
const IplImage * | Ipl () const
const T * | operator() (int c, int r) const
T * | operator() (int c, int r)
int | PixelSize () const
T * | Row (int r)
const T * | Row (int r) const
void | SetZero ()
WImageView< T > | View (int c, int r, int width, int height)
int | Width () const
int | WidthStep () const
virtual | ~WImage ()=0
## Protected Member Functions
void | operator= (const WImage &)
void | SetIpl (IplImage *image)
| WImage (IplImage *img)
| WImage (const WImage &)
## Protected Attributes
IplImage * | image_

### template<typename T>
class cv::WImage< T >

## Member Typedef Documentation

template<typename T>

typedef T cv::WImage< T >::BaseType

Reimplemented in cv::WImageC< T, C >, cv::WImageBuffer< T >, cv::WImageBufferC< T, C >, cv::WImageView< T >, and cv::WImageViewC< T, C >.

## Constructor & Destructor Documentation

template<typename T >

cv::WImage< T >::~WImage | ( | ) | `[inline, pure virtual]`

template<typename T>

cv::WImage< T >::WImage | ( | const WImage< T > & | ) | `[protected]`

template<typename T>

cv::WImage< T >::WImage | ( | IplImage * | img ) | `[inline, explicit, protected]`

## Member Function Documentation

template<typename T>

int cv::WImage< T >::Channels | ( | ) | const`[inline]`

Reimplemented in cv::WImageC< T, C >.

template<typename T>

int cv::WImage< T >::ChannelSize | ( | ) | const`[inline]`

template<typename T>

void cv::WImage< T >::CopyFrom | ( | const WImage< T > & | src ) | `[inline]`

template<>

int cv::WImage< double >::Depth | ( | ) | const`[inline]`

template<typename T>

int cv::WImage< T >::Depth | ( | ) | const

template<>

int cv::WImage< uchar >::Depth | ( | ) | const`[inline]`

template<>

int cv::WImage< signed char >::Depth | ( | ) | const`[inline]`

template<>

int cv::WImage< short >::Depth | ( | ) | const`[inline]`

template<>

int cv::WImage< ushort >::Depth | ( | ) | const`[inline]`

template<>

int cv::WImage< int >::Depth | ( | ) | const`[inline]`

template<>

int cv::WImage< float >::Depth | ( | ) | const`[inline]`

template<typename T>

int cv::WImage< T >::Height | ( | ) | const`[inline]`

template<typename T>

const T* cv::WImage< T >::ImageData | ( | ) | const`[inline]`

template<typename T>

T* cv::WImage< T >::ImageData | ( | ) | `[inline]`

template<typename T>

const IplImage* cv::WImage< T >::Ipl | ( | ) | const`[inline]`

template<typename T>

IplImage* cv::WImage< T >::Ipl | ( | ) | `[inline]`

template<typename T>

const T* cv::WImage< T >::operator() | ( | int | c,
|  | int | r
| ) |  | const`[inline]`

template<typename T>

T* cv::WImage< T >::operator() | ( | int | c,
|  | int | r
| ) |  | `[inline]`

template<typename T>

void cv::WImage< T >::operator= | ( | const WImage< T > & | ) | `[protected]`

Reimplemented in cv::WImageView< T >.

template<typename T>

int cv::WImage< T >::PixelSize | ( | ) | const`[inline]`

template<typename T>

T* cv::WImage< T >::Row | ( | int | r ) | `[inline]`

template<typename T>

const T* cv::WImage< T >::Row | ( | int | r ) | const`[inline]`

template<typename T>

void cv::WImage< T >::SetIpl | ( | IplImage * | image ) | `[inline, protected]`

Reimplemented in cv::WImageC< T, C >, cv::WImageBuffer< T >, and cv::WImageBufferC< T, C >.

template<typename T>

void cv::WImage< T >::SetZero | ( | ) | `[inline]`

template<typename T >

WImageView< T > cv::WImage< T >::View | ( | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

Reimplemented in cv::WImageC< T, C >.

template<typename T>

int cv::WImage< T >::Width | ( | ) | const`[inline]`

template<typename T>

int cv::WImage< T >::WidthStep | ( | ) | const`[inline]`

## Member Data Documentation

template<typename T>

IplImage* cv::WImage< T >::image_`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines